Get

Retrieves a single session by its ID. Access restricted to the caller’s organization or shared organizations. | auth: api_key | authz: min_org_role=operator | () -> (Session1)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

session_idstringRequired

Response

Successful Response
_idstring
created_at_timestampdatetime
device_idstring
device_mac_addressstring
org_idstring

Must be a string starting with org_

schema_versioninteger
commentsstring<=524288 characters
destination_geofence_enteredbooleanDefaults to false
destination_geofence_locationobject

GeoJSON Feature with typed properties for locations

The geometry field is strongly typed as Geometry (union of all geometry types) but remains optional to match the base Feature class specification. To ensure geometry is always present, validate it at runtime or make it required.

destination_geofence_radius_milesdouble<=10000Defaults to 0.1
flight_leg_idslist of strings
flight_loaded_status_by_flight_leg_idmap from strings to optional strings
flight_loaded_statuseslist of strings
flight_numberslist of strings
last_seen_at_locationobject

GeoJSON Feature with typed properties for locations

The geometry field is strongly typed as Geometry (union of all geometry types) but remains optional to match the base Feature class specification. To ensure geometry is always present, validate it at runtime or make it required.

last_seen_at_location_citystring
last_seen_at_location_large_citystring
last_seen_at_timestampdatetime
off_chrt_reference_idstringformat: "^[A-Za-z0-9._~\-]{1,64}$"1-64 characters

Must be a URL-safe string of 1-64 characters. Allowed characters: A-Z, a-z, 0-9, ’.’, ’_’, ’~’, ’-’ (RFC 3986 unreserved).

off_chrt_shipper_org_idstring
publicbooleanDefaults to false
shared_with_org_idslist of strings
terminatedbooleanDefaults to false
terminated_at_timestampdatetime
termination_scheduled_for_timestampdatetime

Errors

422
Sessions Get V1request Unprocessable Entity Error